db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Knut Anders Hatlen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DERBY-5410) sysinfo does know about Java 7 jdbc 4.1 level
Date Wed, 14 Sep 2011 20:49:08 GMT

    [ https://issues.apache.org/jira/browse/DERBY-5410?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13104863#comment-13104863
] 

Knut Anders Hatlen commented on DERBY-5410:
-------------------------------------------

The patch missed one occurrence (where we check if the Java version is higher than the highest
level we support):

					if (Float.parseFloat(javaVersion) > 1.6f)
						id = J2SE_16;

Should test for 1.7f and set id to J2SE_17 now.

Apart from that, the patch looks good to me.

I see, though, that Rick has commented on DERBY-4869 that there's still a little work to do
before we can declare full support for JDBC 4.1. So maybe we should wait until that's done?
(I also see that DatabaseMetaData.getJDBCMinorVersion() still returns 0.)

> sysinfo does know about Java 7 jdbc 4.1 level
> ---------------------------------------------
>
>                 Key: DERBY-5410
>                 URL: https://issues.apache.org/jira/browse/DERBY-5410
>             Project: Derby
>          Issue Type: Bug
>          Components: Tools
>    Affects Versions: 10.8.1.2, 10.8.2.1, 10.9.0.0
>            Reporter: Myrna van Lunteren
>            Assignee: Myrna van Lunteren
>            Priority: Minor
>         Attachments: DERBY-5410_1.diff
>
>
> Since 10.8.1.2 JDBC 4.1 is supported but sysinfo hasn't been updated, and so is not able
to return updated JDBC level info.
> The addition needs to go here:
> Class: org.apache.derby.iapi.services.info.JVMInfo
> Method:
> 	/**
> 		Return Derby's understanding of the virtual machine's environment.
> 	*/
> 	public static String derbyVMLevel()
> 	{
> 		switch (JDK_ID)
> 		{
> 		case J2SE_14: return J2ME ? "J2ME - JDBC for CDC/FP 1.1" : "J2SE 1.4 - JDBC 3.0";
> 		case J2SE_142: return "J2SE 1.4.2 - JDBC 3.0";
> 		case J2SE_15: return "J2SE 5.0 - JDBC 3.0";
> 		case J2SE_16: return "Java SE 6 - JDBC 4.0";
> 		default: return "?-?";
> 		}
> 	}
> This was reported in email to derbydev by frank.pientka@gmx.de:
> http://old.nabble.com/Re%3A--VOTE--10.8.2.1-release-p32462975.html

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message